View Issue Details

IDProjectCategoryView StatusLast Update
0037606FPCDocumentationpublic2020-09-03 11:35
ReporterKai Burghardt Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSGNU/Linux 
Product Version3.0.4 
Fixed in Version3.3.1 
Summary0037606: Reference: for…in missing in introduction
Descriptionfor…in is missing in the “repetitive statement” syntax diagram.

Also, there is a spelling mistake.
Additional InformationThe number needs to be updated too.
TagsNo tags attached.
Fixed in Revision1739
FPCOldBugId
FPCTarget3.2.2
Attached Files

Activities

Kai Burghardt

2020-08-20 20:33

reporter  

ref.tex.patch (402 bytes)   
--- ref.tex~	2020-08-20 18:33:03.971754713 +0000
+++ ref.tex	2020-08-20 18:33:03.971754713 +0000
@@ -9289,7 +9289,7 @@
 \input{syntax/struct.syn}
 Conditional statements come in two flavors:
 \input{syntax/conditio.syn}
-Repetitive statements come in three flavors:
+Repetitive statements come in four flavors:
 \input{syntax/repetiti.syn}
 The following sections deal with each of these statements.
 
ref.tex.patch (402 bytes)   
repetiti.syn.patch (374 bytes)   
--- repetiti.syn~	2020-08-20 18:33:03.971754713 +0000
+++ repetiti.syn	2020-08-20 18:33:03.971754713 +0000
@@ -1,7 +1,8 @@
 \begin{psyntax}{Repetitive statements}{repetitivestatament}
 \synt{repetitive\ statement}
 \begin{stack}
-\synt{for\ statament}\\
+\synt{for\ statement}\\
+\synt{for\ in\ statement}\\
 \synt{repeat\ statement}\\
 \synt{while\ statement}
 \end{stack}
repetiti.syn.patch (374 bytes)   

Kai Burghardt

2020-08-20 20:54

reporter   ~0125033

Also in repetiti.syn, first line: repetitivestatament should read repetitivestatement.

Michael Van Canneyt

2020-09-03 00:32

administrator   ~0125326

Applied, thank you very much !

Kai Burghardt

2020-09-03 01:33

reporter   ~0125332

One spelling mistake my previous patch didn’t contain.
repetiti.syn-2.patch (315 bytes)   
--- repetiti.syn~	2020-09-02 23:32:22.142417530 +0000
+++ repetiti.syn	2020-09-02 23:32:22.142417530 +0000
@@ -1,4 +1,4 @@
-\begin{psyntax}{Repetitive statements}{repetitivestatament}
+\begin{psyntax}{Repetitive statements}{repetitivestatement}
 \synt{repetitive\ statement}
 \begin{stack}
 \synt{for\ statement}\\
repetiti.syn-2.patch (315 bytes)   

Michael Van Canneyt

2020-09-03 11:22

administrator   ~0125340

I had fixed that already but forgot to commit it :-(
Done. rev 1742.

Issue History

Date Modified Username Field Change
2020-08-20 20:33 Kai Burghardt New Issue
2020-08-20 20:33 Kai Burghardt Status new => assigned
2020-08-20 20:33 Kai Burghardt Assigned To => Michael Van Canneyt
2020-08-20 20:33 Kai Burghardt File Added: ref.tex.patch
2020-08-20 20:33 Kai Burghardt File Added: repetiti.syn.patch
2020-08-20 20:54 Kai Burghardt Note Added: 0125033
2020-09-03 00:32 Michael Van Canneyt Status assigned => resolved
2020-09-03 00:32 Michael Van Canneyt Resolution open => fixed
2020-09-03 00:32 Michael Van Canneyt Fixed in Version => 3.3.1
2020-09-03 00:32 Michael Van Canneyt Fixed in Revision => 1739
2020-09-03 00:32 Michael Van Canneyt FPCTarget => 3.2.2
2020-09-03 00:32 Michael Van Canneyt Note Added: 0125326
2020-09-03 01:32 Kai Burghardt Status resolved => feedback
2020-09-03 01:32 Kai Burghardt Resolution fixed => open
2020-09-03 01:33 Kai Burghardt Note Added: 0125332
2020-09-03 01:33 Kai Burghardt File Added: repetiti.syn-2.patch
2020-09-03 01:33 Kai Burghardt Status feedback => assigned
2020-09-03 11:22 Michael Van Canneyt Note Added: 0125340
2020-09-03 11:35 Michael Van Canneyt Status assigned => resolved
2020-09-03 11:35 Michael Van Canneyt Resolution open => fixed